## com.gargoylesoftware.htmlunit.html
Class DomNode.ChildIterator

    java.lang.Object
      com.gargoylesoftware.htmlunit.html.DomNode.ChildIterator

All Implemented Interfaces:
  java.util.Iterator<DomNode>

Enclosing class:
  DomNode

    protected class DomNode.ChildIterator

extends java.lang.Object
implements java.util.Iterator<DomNode>

An iterator over all children of this node.

Constructor Summary
`protected` `DomNode.ChildIterator()`

Method Summary
`boolean` `hasNext()`
`DomNode` `next()`
`void` `remove()` Removes the current object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomNode.ChildIterator

    protected DomNode.ChildIterator()

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<DomNode>`
  Returns:
    whether there is a next object

### next

    public DomNode next()

  Specified by:
    `next` in interface `java.util.Iterator<DomNode>`
  Returns:
    the next object

### remove

    public void remove()

  Removes the current object.

  Specified by:
    `remove` in interface `java.util.Iterator<DomNode>`

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.